Bug 19429 - No confirm message when deleting an invoice from invoice search
Summary: No confirm message when deleting an invoice from invoice search
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Aleisha Amohia
QA Contact: Kyle M Hall
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-07 12:55 UTC by Katrin Fischer
Modified: 2018-06-04 20:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19429: Adding confirm message when deleting invoice from invoice search page (3.54 KB, patch)
2017-10-10 02:22 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 19429: Adding confirm message when deleting invoice from invoice search page (3.59 KB, patch)
2017-10-11 16:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19429: Adding confirm message when deleting invoice from invoice search page (3.64 KB, patch)
2017-12-21 13:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19429: Rename .delete to .delete_invoice (3.12 KB, patch)
2017-12-21 15:42 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-10-07 12:55:17 UTC
When deleting an invoice from the invoice search page, there is no confirmation message.
Comment 1 Aleisha Amohia 2017-10-10 02:22:29 UTC
Created attachment 67861 [details] [review]
Bug 19429: Adding confirm message when deleting invoice from invoice search page

To test:
To test:
1) Go to Acquisitions
2) Go to Invoices (left nav menu)
3) Click Search (no need to filter results)
4) Click dropdown menu for an invoice, click Delete
5) Notice invoice is deleted instantly
6) Apply patch and repeat steps 3 and 4
7) Confirm the confirm message shows and works as expected

Sponsored-by: Catalyst IT
Comment 2 Owen Leonard 2017-10-11 16:50:02 UTC
Created attachment 67968 [details] [review]
Bug 19429: Adding confirm message when deleting invoice from invoice search page

To test:
To test:
1) Go to Acquisitions
2) Go to Invoices (left nav menu)
3) Click Search (no need to filter results)
4) Click dropdown menu for an invoice, click Delete
5) Notice invoice is deleted instantly
6) Apply patch and repeat steps 3 and 4
7) Confirm the confirm message shows and works as expected

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Kyle M Hall 2017-12-21 13:56:15 UTC
Created attachment 70024 [details] [review]
Bug 19429: Adding confirm message when deleting invoice from invoice search page

To test:
To test:
1) Go to Acquisitions
2) Go to Invoices (left nav menu)
3) Click Search (no need to filter results)
4) Click dropdown menu for an invoice, click Delete
5) Notice invoice is deleted instantly
6) Apply patch and repeat steps 3 and 4
7) Confirm the confirm message shows and works as expected

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Jonathan Druart 2017-12-21 15:42:31 UTC
Created attachment 70057 [details] [review]
Bug 19429: Rename .delete to .delete_invoice
Comment 5 Jonathan Druart 2017-12-21 16:23:37 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-01-15 16:43:03 UTC
Awesome work all, pushed to stable for 17.11.02
Comment 7 Fridolin SOMERS 2018-01-25 09:29:12 UTC
Pushed to 17.05.x for v17.05.09